Emulator:ePSXe

From Wah!ki
Jump to: navigation, search

About

Project Homepage

Installation

  1. Use the Installer for ePSXe 1.52-alpha
  2. Download the i386 or common debs for the following:
    THIS INSTRUCTION NEEDS TO BE REVIEWED AGAINST NEWER VERSIONS OF UBUNTU, THE JAUNTY PACKAGES LISTED BELOW HAVE BEEN REMOVED FROM PACKAGES.UBUNTU.COM
http://packages.ubuntu.com/en/jaunty/libgtk1.2-common
http://packages.ubuntu.com/en/jaunty/libglib1.2ldbl
http://packages.ubuntu.com/en/jaunty/libgtk1.2
  1. Install the deb packages
    32bit: dpkg -i <filename>
    64bit: dpkg -i --force-architecture <filename>

64bit build

There is a 64bit 2.0.5 build available but couldn't get a Twin USB Joystick PS2 controller to work

2.0.5 64bit Worked fine with the steam controller launched from steam

Configuration

Platform Version Device Exec Type commandline_format
Linux v1.5.0-alpha Disc Image epsxe D -nogui -loadbin "[rompath]/[name].[romext]"
Linux v1.5.0-alpha CD-ROM epsxe D N/A

Controls

Format of keys string for default input plugin

Keys1 = L2,R2,L1,R1,TRI,CIR,X,SQR,SELECT,L3,R3,START,U,R,D,L

Format of Full Axis

GamepadFullAxis = LX,LY,RX,RY,192,192,192,192,192,192,192,192,192,192,192,192,192,192,192,192,192,192,192,192,192,192,192,192,192,192,192,192

Troubleshooting

PROBLEM: Error opening terminal: unknown.

The solution to this issue is to use a loader script to export TERM before loading epsxe. Wah!Cade is then configured to use the loader in place of the normal method.

#!/bin/bash

HOME=/home/`whoami`
export TERM=ansi

${HOME}/epsxe/epsxe -nogui -loadbin "$1"